
stages:
- test_node

Test_node:
 stage: test_node
 image: node:14
 variables:
  MONGODB_URL: "mongodb://mongo-test:27017/apptest"
 services:
  - name: mongo:4.0
    alias: mongo-test
 script:
  - npm ci
  - npm run test